﻿# -*- coding: utf-8 -*-

bl_info = {
	"name": "As Blender Tools",
	"author": "Akira Asagi",
	"version": (0, 0, 5),
	"blender": (2, 80, 0),
	"location": "",
	"description": "Tiny tools for Blender",
	"warning": "",
	"wiki_url": "",
	"support": "TESTING",
	"category": "Object"
}

if(1):
	import importlib
	loc = locals()
	if("ui" in loc):
		importlib.reload(ui)
	if("op" in loc):
		importlib.reload(op)
	if("Prefs" in loc):
		importlib.reload(Prefs)
	del loc

from . import ui
from . import op
from . import Prefs

#### =======================================================================
clss = (
	op.DeleteUnusedObjects.OBJECT_OT_DeleteUnusedObjects,
	op.Outliner_SelectBox.OUTLINER_OT_SelectBoxWithSelect,
	op.Object_Grouping.OBJECT_OT_Grouping,
	op.Object_MakeBlankShape.OBJECT_OT_MakeBlankShape,
	op.Object_RemoveHierarchies.OBJECT_OT_RemoveHierarchies,
	ui.NodeToCtxMenu.NODE_MT_NodeToCtxMenu,
	ui.PropertiesHeader.PROPERTIES_MT_as_context_menu,
	Prefs.AsBldToolsPrefs,
	)

#### =======================================================================
def register():
	ui.NodeToSideBar.register()
	ui.GPencilListSelector.register()
	ui.PaintBrushSelector.register()
	Prefs._Regist(clss)
	Prefs.PostRegister()


#### -----------------------------------------------------------------------
def unregister():
	Prefs.PreUnregister()
	Prefs._Unregist(clss)
	ui.PaintBrushSelector.unregister()
	ui.GPencilListSelector.unregister()
	ui.NodeToSideBar.unregister()
