﻿# -*- coding: utf-8 -*-

import bpy
import nodeitems_utils

#### =======================================================================
class NODE_MT_NodeToCtxMenu(bpy.types.Menu):
	'''NODE_MT_context_menuに追加する為のプレースホルダ'''
	bl_label = "NodeToCtxMenu"

	#### --------------------------------
#	@classmethod
#	def poll(cls, context):
#		return(context.active_node != None)

	#### --------------------------------
	def draw(self, context):
		layout = self.layout
		layout.scale_y = 0.9

		nodeitems_utils.draw_node_categories_menu(self, context)

#		for (categories, draw_add_menu, menu_types) in nodeitems_utils._node_categories.values():
#			for cat in categories:
#				if(cat.poll(context)):
#					layout.menu(f"NODE_MT_category_{cat.identifier:s}")

#### =======================================================================
def AddMenu(self, context):
	'''NODE_MT_context_menu 追加用, 階層付けの為にMenuClassを介する, 標準のNODE_MT_addは邪魔な検索付き.'''
	self.layout.menu(menu="NODE_MT_NodeToCtxMenu", text="Add", icon="NODE")
	self.layout.separator()
